Bug 63480 - Web Inspector: REGRESSION Inspector failing to load resource content after navigation. Safari.
Summary: Web Inspector: REGRESSION Inspector failing to load resource content after na...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-27 14:04 PDT by Ilya Tikhonovsky
Modified: 2011-06-29 06:13 PDT (History)
11 users (show)

See Also:


Attachments
Patch (1.95 KB, patch)
2011-06-28 06:35 PDT, Vsevolod Vlasov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2011-06-27 14:04:03 PDT
open safari
open inspector
navigate to a page
move back to home page (google.com in my case)
move forward

expected:
pages sources

actual:
protocol error in inspector's inspector console.

Protocol Error: Invalid type of argument 'identifier' for method 'NetworkAgent.getResourceContent' call. It should be 'number' but it is 'string'.
Comment 1 Vsevolod Vlasov 2011-06-28 06:35:39 PDT
Created attachment 98907 [details]
Patch
Comment 2 WebKit Review Bot 2011-06-29 06:13:41 PDT
Comment on attachment 98907 [details]
Patch

Clearing flags on attachment: 98907

Committed r90011: <http://trac.webkit.org/changeset/90011>
Comment 3 WebKit Review Bot 2011-06-29 06:13:48 PDT
All reviewed patches have been landed.  Closing bug.